/*
** Copyright R-U-ON, 2006
** www.r-u-on.com
*/

#ifndef PING_H
#define PING_H

#define OKAY 0
#define HOST_RESOLVE_ERROR -1
#define ECHO_CORRUPT -2
#define PING_FAILED -3
#define RESOURCE_ERROR -4
#define QTIMEOUT -5
#define TTL_EXPIRED -6

#define MAX_HOSTS 256

typedef struct hoststate_struct {
	char host[256];
	char msg[256];
	int retries;
	int failed;
	int reported;
	int actual;
} hoststate;

int pinginit();
int checkping(hoststate *hosts, int size,int first_timeout, int final_timeout);


#endif
